Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::SegmentInfoCollection Class Reference

A collection of SegmentInfo objects to be used as a base class for SegmentInfos. More...

`#include <SegmentInfoCollection.h>`

Inheritance diagram for Lucene::SegmentInfoCollection:

## Public Member Functions

| SegmentInfoCollection ()
virtual | ~SegmentInfoCollection ()
virtual String | getClassName ()
boost::shared_ptr < SegmentInfoCollection > | shared_from_this ()
int32_t | size ()
bool | empty ()
void | clear ()
void | add (SegmentInfoPtr info)
void | add (int32_t pos, SegmentInfoPtr info)
void | addAll (SegmentInfoCollectionPtr segmentInfos)
bool | equals (SegmentInfoCollectionPtr other)
int32_t | find (SegmentInfoPtr info)
bool | contains (SegmentInfoPtr info)
void | remove (int32_t pos)
void | remove (int32_t start, int32_t end)
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Protected Attributes

Collection< SegmentInfoPtr > | segmentInfos

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

A collection of SegmentInfo objects to be used as a base class for SegmentInfos.

## Constructor & Destructor Documentation

Lucene::SegmentInfoCollection::SegmentInfoCollection | ( | ) |  |

virtual Lucene::SegmentInfoCollection::~SegmentInfoCollection | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::SegmentInfoCollection::_getClassName | ( | ) |  |

inline static

void Lucene::SegmentInfoCollection::add | ( | SegmentInfoPtr | info) |  |

void Lucene::SegmentInfoCollection::add | ( | int32_t | pos,
|  | SegmentInfoPtr | info
| ) |  |

void Lucene::SegmentInfoCollection::addAll | ( | SegmentInfoCollectionPtr | segmentInfos) |  |

void Lucene::SegmentInfoCollection::clear | ( | ) |  |

virtual LuceneObjectPtr Lucene::SegmentInfoCollection::clone | ( | LuceneObjectPtr | other = `LuceneObjectPtr()`) |  |

virtual

Return clone of this object.

Parameters

  other | clone reference - null when called initially, then set in top virtual override.

Reimplemented from Lucene::LuceneObject.

Reimplemented in Lucene::SegmentInfos.

bool Lucene::SegmentInfoCollection::contains | ( | SegmentInfoPtr | info) |  |

bool Lucene::SegmentInfoCollection::empty | ( | ) |  |

bool Lucene::SegmentInfoCollection::equals | ( | SegmentInfoCollectionPtr | other) |  |

int32_t Lucene::SegmentInfoCollection::find | ( | SegmentInfoPtr | info) |  |

virtual String Lucene::SegmentInfoCollection::getClassName | ( | ) |  |

inline virtual

Reimplemented in Lucene::SegmentInfos.

void Lucene::SegmentInfoCollection::remove | ( | int32_t | pos) |  |

void Lucene::SegmentInfoCollection::remove | ( | int32_t | start,
|  | int32_t | end
| ) |  |

boost::shared_ptr< SegmentInfoCollection > Lucene::SegmentInfoCollection::shared_from_this | ( | ) |  |

inline

int32_t Lucene::SegmentInfoCollection::size | ( | ) |  |

## Field Documentation

Collection<SegmentInfoPtr> Lucene::SegmentInfoCollection::segmentInfos

protected

The documentation for this class was generated from the following file:

- SegmentInfoCollection.h

clucene.sourceforge.net